Subject: Re: [Sip] GRUU-13 : algorithm in annex A.2 does not distinguish betweenmultiple outbound contacts

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 07 Jun 2007 16:29:25 -0400

Sorry for the (really) long delay here in responding.

Since this UA is, in fact, a single instance, there would only be one 
public GRUU. When receiving a request targeted to the GRUU, the home 
proxy would populate the target set with the two contacts bound to the 
associated instance ID/AOR combo, and then follow regular sip-outbound 
rules for routing the request.

It would not be appropriate to include the reg-id as part of the GRUU.

-Jonathan R.

Jeroen van Bemmel wrote:

> Same remark applies to public GRUU generation: instance-id in 'gr' 
> parameter may not be sufficient to select the right contact URI for 
> rewriting, when UAC uses outbound.
>  
> Regards,
> Jeroen
> 
>     ----- Original Message -----
>     *From:* Jeroen van Bemmel <mailto:[email-masked]>
>     *To:* [email-masked] <mailto:[email-masked]>
>     *Sent:* Saturday, April 28, 2007 3:35 PM
>     *Subject:* [Sip] GRUU-13 : algorithm in annex A.2 does not
>     distinguish betweenmultiple outbound contacts
> 
>     Jonathan,
>      
>     A minor remark about the temporary GRUU algorithm in A.2: if the UAC
>     is using outbound and registers 2 Contacts under the same AoR and
>     instance-id, the algorithm in A.2 currently cannot distinguish
>     between those contacts (since the temporary GRUU only contains an
>     index which resolves to an AoR+instance combination). Therefore, if
>     the Contacts URIs are different (for example: different user
>     part) the proxy is not able to reproduce the correct URI when
>     rewriting the request URI.
>      
>     Concretely: when a UAC registers e.g.
> 
> Contact: <sip:[email-masked]>
>      ;+sip.instance="<urn:uuid:0C67446E-F1A1-11D9-94D3-000A95A0E128>"
>      ;reg-id=1
> 
> Contact: <sip:[email-masked]>
>      ;+sip.instance="<urn:uuid:0C67446E-F1A1-11D9-94D3-000A95A0E128>"
>      ;reg-id=2
> 
>     the proxy returns two distinct temporary GRUUs. However, regardless
>     of which temporary GRUU the UA chooses to use, the proxy cannot
>     determine whether to rewrite to "callee-001" or "callee-002"
>      
>     This can easily be remedied, e.g. by including the reg-id in the mapping
>      
>     Regards,
>     Jeroen
> 
>     ------------------------------------------------------------------------
> 
>     _______________________________________________
>     Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>     This list is for NEW development of the core SIP Protocol
>     Use [email-masked] for questions on current sip
>     Use [email-masked] for new developments on the application of sip

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip